\name{decomposeTumorGenomes}
\alias{decomposeTumorGenomes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
  decomposeTumorGenomes
}
\description{
  Takes a set of mutational signatures and mutation features from one or
  more tumor genomes and computes weights/contributions for each of the
  signatures in each individual genome.
}
\usage{
decomposeTumorGenomes(genomes, signatures)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{genomes}{
    (Mandatory) Can be either a vector, a data.frame or a matrix (for an
    individual tumor genome), or a list of one of these object types (for
    multiple tumors). Each tumor genome must be of the same form as
    each of the 'signatures' (see below).
  }
  \item{signatures}{
    (Mandatory) A list of vectors, data.frames or matrices. Each of the
    objects represents one mutational signature. Vectors are used for
    Alexandrov signatures, data.frames or matrices for Shiraishi signatures.
  }
}
%\details{
%}
\value{
  A list of signature weight vectors (also called 'exposures'), one for each
  tumor genome. E.g., the first vector element of the first list object
  is the weight/contribution of the first signature in the first tumor genome. 
}
\references{
Krueger, Piro (2017) Identification of Mutational Signatures Active in
Individual Tumors. NETTAB 2017 - Methods, Tools & Platforms for Personalized Medicine in the Big Data Era, October 16-18, 2017, Palermo, Italy.\cr
http://rmpiro.net/index.html#downloads
}
\author{
  Rosario M. Piro, Sandra Krueger\cr
  Freie Universitaet Berlin\cr
  Maintainer: Rosario M. Piro\cr
  E-Mail: <r.piro@fu-berlin.de> or <rmpiro@gmail.com>
}
%\note{
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
decompTumor2Sig
}
%\examples{
%}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{mutational signatures}
\keyword{mutation signatures}
\keyword{mutations}
\keyword{tumor genomes}
